漏洞信息详情

Libmspack 代码问题漏洞

  • CNNVD编号:CNNVD-201810-1144
  • 危害等级: 中危
  • CVE编号: CVE-2018-18585
  • 漏洞类型: 代码问题
  • 发布时间: 2018-10-24
  • 威胁类型: 远程
  • 更新时间: 2019-08-08
  • 厂        商:
  • 漏洞来源: Gentoo

漏洞简介

Libmspack是一个能够对CAB、CHM和HLP等格式文件进行压缩和解压的库。

Libmspack 0.8alpha之前版本中的mspack/chmd.c文件的‘chmd_read_headers’函数存在安全漏洞。目前尚无此漏洞的相关信息,请随时关注CNNVD或厂商公告。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/kyz/libmspack/commit/8759da8db6ec9e866cb8eb143313f397f925bb4f

参考网址

来源:bugs.debian.org

链接:https://bugs.debian.org/911637

来源:github.com

链接:https://github.com/kyz/libmspack/commit/8759da8db6ec9e866cb8eb143313f397f925bb4f

来源:www.openwall.com

链接:https://www.openwall.com/lists/oss-security/2018/10/22/1

来源:MLIST

链接:https://lists.debian.org/debian-lts-announce/2018/10/msg00017.html

来源:MISC

链接:https://tools.cisco.com/security/center/viewAlert.x?alertId=59134

来源:MISC

链接:https://access.redhat.com/security/cve/cve-2018-18585

来源:REDHAT

链接:https://access.redhat.com/errata/RHSA-2019:2049

来源:MISC

链接:https://www.suse.com/security/cve/CVE-2018-18585/

来源:UBUNTU

链接:https://usn.ubuntu.com/3814-1/

来源:UBUNTU

链接:https://usn.ubuntu.com/3814-2/

来源:UBUNTU

链接:https://usn.ubuntu.com/3814-3/

来源:GENTOO

链接:https://security.gentoo.org/glsa/201903-20

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20190748-1.html

来源:access.redhat.com

链接:https://access.redhat.com/errata/RHSA-2019:2049

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/152273/Gentoo-Linux-Security-Advisory-201903-20.html

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/77878

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.2951/

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多